Name:           valide
Version:        0.4.0
Release:        0.1%{?dist}
Summary:        Vala IDE

Group:          Development/Tools
License:        GPLv3+
URL:            http://www.valaide.org
Source0:        http://valide.googlecode.com/files/valide-0.4.0.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libxml2-devel, gtk2-devel, gtksourceview2-devel, vala-devel
Requires:       libxml2, gtk2, gtksourceview2, vala

%description
Val(a)IDE is an Intergrate Developpement Environnement for the Vala programming language.

%prep
%setup -q

%build
./waf configure --prefix=%{_prefix}
./waf %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
./waf install --destdir=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_datadir}/valide/AUTHORS
%{_datadir}/valide/COPYING
%{_datadir}/applications/valide.desktop
%{_bindir}/ctags-vala
%{_bindir}/valide
%{_datadir}/pixmaps/valide/icone-16.xpm
%{_datadir}/pixmaps/valide/icone-32.xpm
%{_datadir}/pixmaps/valide/icone-48.xpm
%{_datadir}/pixmaps/valide/icone-64.xpm
%{_datadir}/pixmaps/valide/icone.xcf
%{_datadir}/pixmaps/valide/logo.png
%{_datadir}/pixmaps/valide/logo.xcf
%{_datadir}/pixmaps/valide/pref-general.png
%{_datadir}/pixmaps/valide/pref-compiler.png
%{_datadir}/pixmaps/valide/pref-pkg.png
%{_datadir}/pixmaps/valide/vide-file.png
%{_datadir}/valide/template/cmd/icon.png
%{_datadir}/valide/template/cmd/main.vala
%{_datadir}/valide/template/cmd/template.xml
%{_datadir}/valide/template/empty/icon.png
%{_datadir}/valide/template/empty/template.xml
%{_datadir}/valide/template/gnome/icon.png
%{_datadir}/valide/template/gnome/main.vala
%{_datadir}/valide/template/gnome/template.xml
%{_datadir}/valide/template/gtk/icon.png
%{_datadir}/valide/template/gtk/main.vala
%{_datadir}/valide/template/gtk/template.xml
%{_datadir}/valide/template/opengl/icon.png
%{_datadir}/valide/template/opengl/main.vala
%{_datadir}/valide/template/opengl/template.xml
%{_datadir}/valide/template/sdl/icon.png
%{_datadir}/valide/template/sdl/main.vala
%{_datadir}/valide/template/sdl/template.xml
%{_datadir}/valide/template/sdl/valide.bmp
%{_datadir}/valide/licenses/BSD
%{_datadir}/valide/licenses/GPL-2.0
%{_datadir}/valide/licenses/GPL-3.0
%{_datadir}/valide/licenses/LGPL-2.1
%{_datadir}/valide/licenses/LGPL-3.0
%{_datadir}/valide/licenses/None
%{_datadir}/locale/fr/LC_MESSAGES/valide.mo

%{_datadir}/vala/vapi/completion.deps
%{_datadir}/vala/vapi/completion.vapi
%{_includedir}/valide-0.4/plugins/completion/completion.h
%{_includedir}/valide-0.4/plugins/completion/item.h
%{_includedir}/valide-0.4/plugins/completion/parser.h
%{_includedir}/valide-0.4/plugins/completion/result.h
%{_includedir}/valide-0.4/plugins/completion/source-buffer.h
%{_includedir}/valide-0.4/plugins/completion/source-completion/documentwords-provider.h
%{_includedir}/valide-0.4/plugins/completion/source-completion/info.h
%{_includedir}/valide-0.4/plugins/completion/source-completion/manager.h
%{_includedir}/valide-0.4/plugins/completion/source-completion/popup.h
%{_includedir}/valide-0.4/plugins/completion/source-completion/proposal.h
%{_includedir}/valide-0.4/plugins/completion/source-completion/provider-file.h
%{_includedir}/valide-0.4/plugins/completion/source-completion/provider.h
%{_includedir}/valide-0.4/plugins/completion/source-completion/tree.h
%{_includedir}/valide-0.4/plugins/completion/source-completion/trigger-autowords.h
%{_includedir}/valide-0.4/plugins/completion/source-completion/trigger-customkey.h
%{_includedir}/valide-0.4/plugins/completion/source-completion/trigger.h
%{_includedir}/valide-0.4/plugins/completion/source-completion/utils.h
%{_includedir}/valide-0.4/plugins/completion/vala-provider.h

%{_datadir}/vala/vapi/file-browser.deps
%{_datadir}/vala/vapi/file-browser.vapi
%{_includedir}/valide-0.4/plugins/file-browser/file-browser.h
%{_datadir}/valide/plugins/file-browser/libfile-browser.so
%{_datadir}/valide/plugins/file-browser/file-browser.valide-plugin

%{_datadir}/vala/vapi/opened-documents.deps
%{_datadir}/vala/vapi/opened-documents.vapi
%{_includedir}/valide-0.4/plugins/opened-documents/opened-documents.h
%{_datadir}/valide/plugins/opened-documents/libopened-documents.so
%{_datadir}/valide/plugins/opened-documents/opened-documents.valide-plugin

%{_datadir}/vala/vapi/symbol.deps
%{_datadir}/vala/vapi/symbol.vapi
%{_includedir}/valide-0.4/plugins/symbol/symbol.h
%{_datadir}/valide/plugins/symbol/libsymbol.so
%{_datadir}/valide/plugins/symbol/pixmaps/class.png
%{_datadir}/valide/plugins/symbol/pixmaps/constant.png
%{_datadir}/valide/plugins/symbol/pixmaps/define.png
%{_datadir}/valide/plugins/symbol/pixmaps/delegate.png
%{_datadir}/valide/plugins/symbol/pixmaps/enum.png
%{_datadir}/valide/plugins/symbol/pixmaps/enumerator.png
%{_datadir}/valide/plugins/symbol/pixmaps/enumvalue.png
%{_datadir}/valide/plugins/symbol/pixmaps/errorcode.png
%{_datadir}/valide/plugins/symbol/pixmaps/errordomain.png
%{_datadir}/valide/plugins/symbol/pixmaps/field.png
%{_datadir}/valide/plugins/symbol/pixmaps/interface.png
%{_datadir}/valide/plugins/symbol/pixmaps/method.png
%{_datadir}/valide/plugins/symbol/pixmaps/namespace.png
%{_datadir}/valide/plugins/symbol/pixmaps/property.png
%{_datadir}/valide/plugins/symbol/pixmaps/signal.png
%{_datadir}/valide/plugins/symbol/pixmaps/struct.png
%{_datadir}/valide/plugins/symbol/pixmaps/typedef.png
%{_datadir}/valide/plugins/symbol/pixmaps/variable.png
%{_datadir}/valide/plugins/symbol/symbol-browser.png
%{_datadir}/valide/plugins/symbol/symbol.valide-plugin

%{_datadir}/vala/vapi/todo.deps
%{_datadir}/vala/vapi/todo.vapi
%{_includedir}/valide-0.4/plugins/todo/todo.h
%{_datadir}/valide/plugins/todo/libtodo.so
%{_datadir}/valide/plugins/todo/todo.valide-plugin

%{_datadir}/valide/plugins/completion/completion.valide-plugin
%{_datadir}/valide/plugins/completion/libcompletion.so
%{_datadir}/valide/plugins/completion/pixmaps/default.png
%{_datadir}/valide/plugins/completion/pixmaps/element-class-16.png
%{_datadir}/valide/plugins/completion/pixmaps/element-delegate-16.png
%{_datadir}/valide/plugins/completion/pixmaps/element-enumeration-16.png
%{_datadir}/valide/plugins/completion/pixmaps/element-event-16.png
%{_datadir}/valide/plugins/completion/pixmaps/element-field-16.png
%{_datadir}/valide/plugins/completion/pixmaps/element-interface-16.png
%{_datadir}/valide/plugins/completion/pixmaps/element-literal-16.png
%{_datadir}/valide/plugins/completion/pixmaps/element-method-16.png
%{_datadir}/valide/plugins/completion/pixmaps/element-namespace-16.png
%{_datadir}/valide/plugins/completion/pixmaps/element-property-16.png
%{_datadir}/valide/plugins/completion/pixmaps/element-structure-16.png

%{_datadir}/vala/vapi/valide-0.0.deps
%{_datadir}/vala/vapi/valide-0.0.vapi
%{_includedir}/valide-0.4/libvalide/aboutdialog.h
%{_includedir}/valide-0.4/libvalide/abstract-config-manager.h
%{_includedir}/valide-0.4/libvalide/abstract-executable.h
%{_includedir}/valide-0.4/libvalide/abstract-text-document.h
%{_includedir}/valide-0.4/libvalide/compiler.h
%{_includedir}/valide-0.4/libvalide/config-manager.h
%{_includedir}/valide-0.4/libvalide/document-manager.h
%{_includedir}/valide-0.4/libvalide/document-message.h
%{_includedir}/valide-0.4/libvalide/document.h
%{_includedir}/valide-0.4/libvalide/executable-manager.h
%{_includedir}/valide-0.4/libvalide/executable.h
%{_includedir}/valide-0.4/libvalide/goto-dialog.h
%{_includedir}/valide-0.4/libvalide/idocument.h
%{_includedir}/valide-0.4/libvalide/panel.h
%{_includedir}/valide-0.4/libvalide/plugin-manager.h
%{_includedir}/valide-0.4/libvalide/plugin-preferences.h
%{_includedir}/valide-0.4/libvalide/plugin-registrar.h
%{_includedir}/valide-0.4/libvalide/plugin.h
%{_includedir}/valide-0.4/libvalide/preferences-dialog.h
%{_includedir}/valide-0.4/libvalide/project-dialog-options.h
%{_includedir}/valide-0.4/libvalide/project-dialog-remove.h
%{_includedir}/valide-0.4/libvalide/project-dialog.h
%{_includedir}/valide-0.4/libvalide/project-manager.h
%{_includedir}/valide-0.4/libvalide/project.h
%{_includedir}/valide-0.4/libvalide/recent-manager-ui.h
%{_includedir}/valide-0.4/libvalide/searching.h
%{_includedir}/valide-0.4/libvalide/source-view.h
%{_includedir}/valide-0.4/libvalide/split-source-view.h
%{_includedir}/valide-0.4/libvalide/start-page.h
%{_includedir}/valide-0.4/libvalide/statusbar.h
%{_includedir}/valide-0.4/libvalide/template-manager.h
%{_includedir}/valide-0.4/libvalide/template.h
%{_includedir}/valide-0.4/libvalide/ui/abstract-close-dialog.h
%{_includedir}/valide-0.4/libvalide/ui/abstract-preferences-dialog.h
%{_includedir}/valide-0.4/libvalide/ui/abstract-project-dialog-options.h
%{_includedir}/valide-0.4/libvalide/ui/abstract-project-dialog-remove.h
%{_includedir}/valide-0.4/libvalide/ui/abstract-project-dialog.h
%{_includedir}/valide-0.4/libvalide/uimanager.h
%{_includedir}/valide-0.4/libvalide/utils.h
%{_includedir}/valide-0.4/libvalide/window.h
%{_libdir}/libvalide-0.0.so

%changelog

