using Valide;

public void add_document_tests ()
{
  Test.add_func ("/valide/document/TxtDocument", () => {
      assert (new TxtDocument () is AbstractTextDocument);
    }
  );

  Test.add_func ("/valide/document/ValaDocument", () => {
      assert (new ValaDocument () is AbstractTextDocument);
    }
  );

  Test.add_func ("/valide/document/VapiDocument", () => {
      assert (new VapiDocument () is AbstractTextDocument);
    }
  );

  Test.add_func ("/valide/document/XmlDocument", () => {
      assert (new XmlDocument () is AbstractTextDocument);
    }
  );

  Test.add_func ("/valide/document/GladeDocument", () => {
      assert (new GladeDocument () is AbstractTextDocument);
    }
  );

  Test.add_func ("/valide/document/open", () => {
      string result;

      var document = new TxtDocument ();
      document.open ("src/main.vala");
      Gtk.TextBuffer buffer = document.buffer;
      Gtk.TextIter start, end;
      buffer.get_bounds (out start, out end);
      result = buffer.get_text (start, end, false);

      string content;
      FileUtils.get_contents ("src/main.vala", out content);

      assert (result == content);

      try
      {
        document = new TxtDocument ();
        document.open ("unknow_file");
        assert_not_reached ();
      }
      catch (Error e)
      {
      }
    }
  );

}
